import request from '@/utils/request'
import {
	upFilse
} from '@/utils/request'

// 资金列表
export function usercoin(data) {
	return request({
		url: '/api/User/usercoin',
		method: 'get',
		data
	});
}

// 我的总资金
export function getallzhehe(data) {
	return request({
		url: '/api/User/getallzhehe',
		method: 'get',
		data
	});
}

// 充币列表
export function czcoin(data) {
	return request({
		url: '/api/user/czcoin',
		method: 'get',
		data
	});
}

// 充币详情
export function czpage(data) {
	return request({
		url: '/api/user/czpage',
		method: 'get',
		data
	});
}

//上传图片
export function upload(data) {
	return upFilse({
		url: '/api/User/recharge_img',
		method: 'post',
		data
	});
}

// 充值
export function paycoin(data) {
	return request({
		url: '/api/user/paycoin',
		method: 'get',
		data
	});
}
